/*
 * ******************************************************************************
 *   Copyright 2014-2015 Spectra Logic Corporation. All Rights Reserved.
 *   Licensed under the Apache License, Version 2.0 (the "License"). You may not use
 *   this file except in compliance with the License. A copy of the License is located at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *   or in the "license" file accompanying this file.
 *   This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 *   CONDITIONS OF ANY KIND, either express or implied. See the License for the
 *   specific language governing permissions and limitations under the License.
 * ****************************************************************************
 */

package com.spectralogic.ds3client.networking;

import java.io.IOException;

/**
 * This is thrown by the {@link com.spectralogic.ds3client.Ds3Client#putObject(com.spectralogic.ds3client.commands.PutObjectRequest)}
 * when the InputStream passed into {@link com.spectralogic.ds3client.commands.PutObjectRequest} is not seekable.
 */
public class RequiresMarkSupportedException extends IOException {
    private static final long serialVersionUID = -8231059916399761296L;

    public RequiresMarkSupportedException() {
        super("Streams passed into the API must return true from the 'markSupported' method.");
    }
}
